<html>
<head>
  <title>Blacklist</title>
</head>
<body>
<h3 align="center">Blacklist: &Auml;ndern</h3>

<div align="center">
<?php
try {
  $db = new PDO("sqlite:db");
} catch(PDOException $e) {
  echo $e->getMessage();
}

$unsaved=1;

if(!empty($_REQUEST['save']) && !empty($_REQUEST['id']) && !empty($_REQUEST['pattern'])) {
  $dbh = $db->prepare("UPDATE blacklist SET pacfunc=:pacfunc,field=:field,pattern=:pattern WHERE id=:id");
  $dbh->bindParam(':pacfunc', $_REQUEST['pacfunc'], PDO::PARAM_INT);
  $dbh->bindParam(':field', $_REQUEST['field'], PDO::PARAM_INT);
  $dbh->bindParam(':pattern', utf8_decode($_REQUEST['pattern']), PDO::PARAM_STR);
  $dbh->bindParam(':id', $_REQUEST['id'], PDO::PARAM_INT);
  $dbh->execute() && $unsaved=0
;
}
if($unsaved==0): ?>
<p>Blacklist-Regel ge&auml;ndert.</p>
<form action="index.php" method="post">
<input type="submit" value="Zur&uuml;ck">
</form>
<?php
else:
$dbh = $db->prepare("SELECT id,pacfunc,field,pattern FROM blacklist WHERE id=:id");
$dbh->bindParam(':id', $_REQUEST['id'], PDO::PARAM_INT);
$dbh->execute();
$res = $dbh->fetch(PDO::FETCH_LAZY);

$pacfunc=(empty($_REQUEST['pacfunc'])?$res['pacfunc']:$_REQUEST['pacfunc']);
$field=(empty($_REQUEST['field'])?$res['field']:$_REQUEST['field']);
$pattern=(empty($_REQUEST['pattern'])?$res['pattern']:utf8_decode($_REQUEST['pattern']));
?>

<form action="" method="post">
<table border="1">
<tr>
  <th>Feld</th>
  <th>Funktion</th>
  <th>Muster</th>
</tr>
<tr>
  <td>
    <select name="field">
<?php
$dbh = $db->prepare("SELECT id,name FROM field ORDER BY id ASC");
$dbh->execute();
while ($res = $dbh->fetch(PDO::FETCH_LAZY)) {
  print "<option value=\"".$res['id']."\"".($field==$res['id']?" selected":"").">".$res['name']."</option>\n";
}
?>
    </select>
  </td>
  <td>
    <select name="pacfunc">
<?php
$dbh = $db->prepare("SELECT id,name FROM pacfunc ORDER BY id ASC");
$dbh->execute();
while ($res = $dbh->fetch(PDO::FETCH_LAZY)) {
  print "<option value=\"".$res['id']."\"".($pacfunc==$res['id']?" selected":"").">".$res['name']."</option>\n";
}
?>
    </select>
  </td>
  <td>
    <input name="pattern" type="text" width="30" value="<?=$pattern?>">
  </td>
</tr>
<tr>
  <td colspan="3">
    <input name="id" type="hidden" value="<?=$_REQUEST['id']?>">
    <input name="save" type="submit" value="&Auml;ndern">
  </td>
</tr>
</table>
</form>
<?php
endif;
?>
</div>
</body>
</html>
