<html>
<head>
  <title>Blacklist</title>
</head>
<body>
<h3 align="center">Blacklist: Hinzuf&uuml;gen</h3>

<div align="center">
<?php
try {
  $db = new PDO("sqlite:db");
} catch(PDOException $e) {
  echo $e->getMessage();
}

$unsaved=1;

if(!empty($_REQUEST['save']) && !empty($_REQUEST['pattern'])) {
  $dbh = $db->prepare("INSERT INTO blacklist (pacfunc,field,pattern) VALUES (:pacfunc,:field,:pattern)");
  $dbh->bindParam(':pacfunc', $_REQUEST['pacfunc'], PDO::PARAM_INT);
  $dbh->bindParam(':field', $_REQUEST['field'], PDO::PARAM_INT);
  $dbh->bindParam(':pattern', utf8_decode($_REQUEST['pattern']), PDO::PARAM_STR);
  $dbh->execute() && $unsaved=0;
}
if($unsaved==0): ?>
<p>Blacklist-Regel hinzugef&uuml;gt.</p>
<form action="index.php" method="post">
<input type="submit" value="Zur&uuml;ck">
</form>
<?php
else:
?>

<form action="" method="post">
<table border="1">
<tr>
  <th>Feld</th>
  <th>Funktion</th>
  <th>Muster</th>
</tr>
<tr>
  <td>
    <select name="field">
<?php
$dbh = $db->prepare("SELECT id,name FROM field ORDER BY id ASC");
$dbh->execute();
while ($res = $dbh->fetch(PDO::FETCH_LAZY)) {
  print "<option value=\"".$res['id']."\"".($_REQUEST['field']==$res['id']?" selected":"").">".$res['name']."</option>\n";
}
?>
    </select>
  </td>
  <td>
    <select name="pacfunc">
<?php
$dbh = $db->prepare("SELECT id,name FROM pacfunc ORDER BY id ASC");
$dbh->execute();
while ($res = $dbh->fetch(PDO::FETCH_LAZY)) {
  print "<option value=\"".$res['id']."\"".($_REQUEST['pacfunc']==$res['id']?" selected":"").">".$res['name']."</option>\n";
}
?>
    </select>
  </td>
  <td>
    <input name="pattern" type="text" width="30" value="<?=$_REQUEST['pattern']?>">
  </td>
</tr>
<tr>
  <td colspan="3">
    <input name="save" type="submit" value="Hinzuf&uuml;gen">
  </td>
</tr>
</table>
</form>
<?php
endif;
?>
</div>
</body>
</html>
